Page MenuHomePhabricator

mwgate-composer-php72-docker missing php-intl
Closed, ResolvedPublic

Description

In https://gerrit.wikimedia.org/r/#/c/mediawiki/vendor/+/547215/ mwgate-composer-php72-docker fails - https://integration.wikimedia.org/ci/job/mwgate-composer-php72-docker/421/console

14:13:44   Problem 1
14:13:44     - beberlei/assert v3.2.3 requires ext-intl * -> the requested PHP extension intl is missing from your system.
14:13:44     - beberlei/assert v3.2.3 requires ext-intl * -> the requested PHP extension intl is missing from your system.
14:13:44     - Installation request for beberlei/assert v3.2.3 -> satisfiable by beberlei/assert[v3.2.3].

Can we get php-intl installed and the images updated to match?

Event Timeline

Reedy created this task.Wed, Oct 30, 2:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptWed, Oct 30, 2:24 PM

Change 547220 had a related patch set uploaded (by Reedy; owner: Reedy):
[integration/config@master] Add php-intl to php72 and php73 docker templates

https://gerrit.wikimedia.org/r/547220

Change 547220 merged by jenkins-bot:
[integration/config@master] dockerfiles: Follow-up 5d9215fbb: Also add intl to PHP 7.1, 7.2, 7.3

https://gerrit.wikimedia.org/r/547220

Change 547614 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: Bump things over to use php71/72/73 which adds intl

https://gerrit.wikimedia.org/r/547614

Change 547616 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Bump all jobs for new php71/72/73 image cascade

https://gerrit.wikimedia.org/r/547616

Change 547614 merged by jenkins-bot:
[integration/config@master] dockerfiles: Bump things over to use php71/72/73 which adds intl

https://gerrit.wikimedia.org/r/547614

Mentioned in SAL (#wikimedia-releng) [2019-10-31T18:38:31Z] <James_F> Docker: Pushing updates for T236907

Jdforrester-WMF closed this task as Resolved.Thu, Oct 31, 7:03 PM

Change 547616 merged by jenkins-bot:
[integration/config@master] jjb: Bump all jobs for new php71/72/73 image cascade

https://gerrit.wikimedia.org/r/547616

Jdforrester-WMF reopened this task as Open.Thu, Oct 31, 7:48 PM

Spoke too soon, broke the world. :-(

Change 547642 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Revert "jjb: Bump all jobs for new php71/72/73 image cascade"

https://gerrit.wikimedia.org/r/547642

Change 547642 merged by jenkins-bot:
[integration/config@master] Revert "jjb: Bump all jobs for new php71/72/73 image cascade"

https://gerrit.wikimedia.org/r/547642

Change 549086 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Re-apply "jjb: Bump all jobs for new php71/72/73 image cascade"

https://gerrit.wikimedia.org/r/549086

Mentioned in SAL (#wikimedia-releng) [2019-11-06T15:40:31Z] <James_F> Upgraded mediawiki-quibble-composer-mysql-php72-docker as a test flight for T236907 T237049

Change 549086 merged by jenkins-bot:
[integration/config@master] Re-apply "jjb: Bump all jobs for new php71/72/73 image cascade"

https://gerrit.wikimedia.org/r/549086